import request from "@/utils/request";

// 科研机构专家列表
export const expertList = (params) => {
  return request({
    url: `/app/research/expertList`,
    method: "GET",
    params,
  });
};

// 科研机构取消专家绑定
export const deleteBindExpert = (expertId) => {
  return request({
    url: `/app/research/deleteBindExpert/${expertId}`,
    method: "PUT",
  });
};

// 科研机构新增专利
export const insertLabPatent = (data) => {
  return request({
    url: `/app/research/patent`,
    method: "POST",
    data,
  });
};

/**
 * 科研机构修改专利
 * @param data
 * @return {*}
 */
export const updateLabPatent = (data) => {
  return request({
    url: `/app/research/patent`,
    method: "PUT",
    data,
  });
};

export const deleteLabPatentByIds = (ids) => {
  return request({
    url: `/app/research/deletePatents/${ids}`,
    method: "DELETE",
  });
};
